<script lang="ts">
import Vue from 'vue';
import type { PropType } from 'vue';
import { CtfCustomerLogo } from '~/models';

export default Vue.extend({
  name: 'WhyUpgradeLogos',
  props: {
    logos: {
      type: Array as PropType<CtfCustomerLogo[]>,
      required: false,
      default: () => [],
    },
  },
  data() {
    return {};
  },
});
</script>
<template>
  <section class="why-upgrade-logos why-upgrade__section">
    <div class="why-upgrade-logos__logos">
      <div
        v-for="logo in logos"
        :key="logo.altText"
        class="why-upgrade-logos__logo"
      >
        <a :href="logo.link" class="why-upgrade-logos__link">
          <img :src="logo.image.file.url" :alt="logo.altText" />
        </a>
      </div>
    </div>
  </section>
</template>

<style scoped lang="scss">
.why-upgrade-logos {
  &__logos {
    display: flex;
    grid-template-columns: repeat(3, 1fr);
    gap: 32px;
    flex-wrap: wrap;
    justify-content: center;

    @media (min-width: $breakpoint-sm) {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      gap: 24px;
    }
    @media (min-width: $breakpoint-md) {
      grid-template-columns: repeat(6, 1fr);
    }
  }
  &__link {
    height: 24px;
    text-align: center;
    display: block;
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
      filter: grayscale(100%);
      opacity: 0.4;
    }
  }
}
</style>
